Package fr.gouv.vitam.logbook.common.parameters

# Class LogbookParameterHelper

java.lang.Object
fr.gouv.vitam.logbook.common.parameters.LogbookParameterHelper

public class LogbookParameterHelper extends Object
Logbook parameters factory Factory to get LogbookParameters object Example:

          // Retrieves logbook operation parameters with standard required fields
          LogbookOperationParameters parameters = LogbookParametersFactory.getLogbookOperationParameters();

          // Retrieves logbook operation parameters with standard required fields and specifics required fields
          Set<LogbookParameterName> specificMandatoryFields = new HashSet<>()
          // add specific fields
          specificMandatoryFields.add(LogbookParameterName.objectIdentifier);
          specificMandatoryFields.add(LogbookParameterName.agentIdentifier);

          // Retrieves parameter object
          parameters = LogbookParametersFactory.getLogbookOperationParameters(specificMandatoryFields);

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<LogbookParameterName>`
  `getDefaultLifeCycleMandatory()`
  `static LogbookLifeCycleObjectGroupParameters`
  `newLogbookLifeCycleObjectGroupParameters()`
  Get a new Empty LogbookLifeCycleObjectGroupParameters object.
  `static LogbookLifeCycleObjectGroupParameters`
  `newLogbookLifeCycleObjectGroupParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetail, String outcomeDetailMessage, GUID objectIdentifier)`
  Get a new LogbookLifeCycleObjectGroupParameters object
  `static LogbookLifeCycleUnitParameters`
  `newLogbookLifeCycleUnitParameters()`
  Get a new Empty LogbookLifeCycleUnitParameters object.
  `static LogbookLifeCycleUnitParameters`
  `newLogbookLifeCycleUnitParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetail, String outcomeDetailMessage, GUID objectIdentifier)`
  Get a new LogbookLifeCycleUnitParameters object
  `static LogbookOperationParameters`
  `newLogbookOperationParameters()`
  Get a new Empty LogbookOperationParameters object.
  `static LogbookOperationParameters`
  `newLogbookOperationParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, GUID eventIdentifierRequest)`
  Get a new LogbookOperationParameters object
  `static LogbookOperationParameters`
  `newLogbookOperationParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String subtask, String appendedDetailMessage, GUID eventIdentifierRequest)`
  Get a new LogbookOperationParameters object for subtask
  `static LogbookOperationParameters`
  `newLogbookOperationParameters(String eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, String eventIdentifierRequest)`
  `static LogbookOperationParameters`
  `newLogbookOperationParameters(String eventIdentifier, String eventType, String eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, String eventIdentifierRequest)`
  Get a new LogbookOperationParameters object

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newLogbookOperationParameters

    public static LogbookOperationParameters newLogbookOperationParameters()
    Get a new Empty LogbookOperationParameters object.
    Use in internal assignment. Not recommended in general usage.
    Returns:
      the LogbookOperationParameters

  - ### newLogbookLifeCycleUnitParameters

    public static LogbookLifeCycleUnitParameters newLogbookLifeCycleUnitParameters()
    Get a new Empty LogbookLifeCycleUnitParameters object.
    Use in internal assignment. Not recommended in general usage.
    Returns:
      the LogbookLifeCycleUnitParameters

  - ### newLogbookLifeCycleObjectGroupParameters

    public static LogbookLifeCycleObjectGroupParameters newLogbookLifeCycleObjectGroupParameters()
    Get a new Empty LogbookLifeCycleObjectGroupParameters object.
    Use in internal assignment. Not recommended in general usage.
    Returns:
      the LogbookLifeCycleObjectGroupParameters

  - ### newLogbookOperationParameters

    public static LogbookOperationParameters newLogbookOperationParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, GUID eventIdentifierRequest)
    Get a new LogbookOperationParameters object
    Parameters:
      `eventIdentifier` - the event id of LogbookOperationParameters to create
      `eventType` - the event type of LogbookOperationParameters to create
      `eventIdentifierProcess` - the event id process of LogbookOperationParameters to create
      `eventTypeProcess` - the event type process of LogbookOperationParameters to create
      `outcome` - the outcome of LogbookOperationParameters to create
      `outcomeDetailMessage` - the outcome detail message of of LogbookOperationParameters to create
      `eventIdentifierRequest` - the event id request of LogbookOperationParameters to create
    Returns:
      the LogbookOperationParameters
    Throws:
      `IllegalArgumentException` - if any parameter is null or empty

  - ### newLogbookOperationParameters

    public static LogbookOperationParameters newLogbookOperationParameters(String eventIdentifier, String eventType, String eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, String eventIdentifierRequest)
    Get a new LogbookOperationParameters object
    Parameters:
      `eventIdentifier` - the event id of LogbookOperationParameters to create
      `eventType` - the event type of LogbookOperationParameters to create
      `eventIdentifierProcess` - the event id process of LogbookOperationParameters to create
      `eventTypeProcess` - the event type process of LogbookOperationParameters to create
      `outcome` - the outcome of LogbookOperationParameters to create
      `outcomeDetailMessage` - the outcome detail message of of LogbookOperationParameters to create
      `eventIdentifierRequest` - the event id request of LogbookOperationParameters to create
    Returns:
      the LogbookOperationParameters
    Throws:
      `IllegalArgumentException` - if any parameter is null or empty

  - ### newLogbookOperationParameters

    public static LogbookOperationParameters newLogbookOperationParameters(String eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetailMessage, String eventIdentifierRequest)

  - ### newLogbookOperationParameters

    public static LogbookOperationParameters newLogbookOperationParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String subtask, String appendedDetailMessage, GUID eventIdentifierRequest)
    Get a new LogbookOperationParameters object for subtask
    Parameters:
      `eventIdentifier` - the event id of LogbookOperationParameters to create
      `eventType` - the event type of LogbookOperationParameters to create
      `eventIdentifierProcess` - the event id process of LogbookOperationParameters to create
      `eventTypeProcess` - the event type process of LogbookOperationParameters to create
      `outcome` - the outcome of LogbookOperationParameters to create
      `subtask` - may be null
      `appendedDetailMessage` - may be null, the detail message
      `eventIdentifierRequest` - the event id request of LogbookOperationParameters to create
    Returns:
      the LogbookOperationParameters
    Throws:
      `IllegalArgumentException` - if any parameter is null or empty

  - ### newLogbookLifeCycleUnitParameters

    public static LogbookLifeCycleUnitParameters newLogbookLifeCycleUnitParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetail, String outcomeDetailMessage, GUID objectIdentifier)
    Get a new LogbookLifeCycleUnitParameters object
    Parameters:
      `eventIdentifier` - the event id of LogbookLifeCycleUnitParameters to create
      `eventType` - the event type of LogbookLifeCycleUnitParameters to create
      `eventIdentifierProcess` - the event id process of LogbookLifeCycleUnitParameters to create
      `eventTypeProcess` - the event type process of LogbookLifeCycleUnitParameters to create
      `outcome` - the outcome of LogbookLifeCycleUnitParameters to create
      `outcomeDetail` - the outcome detail of LogbookLifeCycleUnitParameters to create
      `outcomeDetailMessage` - the outcome detail message of LogbookLifeCycleUnitParameters to create
      `objectIdentifier` - the object id of LogbookLifeCycleUnitParameters to create
    Returns:
      the LogbookLifeCycleUnitParameters
    Throws:
      `IllegalArgumentException` - if any parameter is null or empty

  - ### newLogbookLifeCycleObjectGroupParameters

    public static LogbookLifeCycleObjectGroupParameters newLogbookLifeCycleObjectGroupParameters(GUID eventIdentifier, String eventType, GUID eventIdentifierProcess, LogbookTypeProcess eventTypeProcess, StatusCode outcome, String outcomeDetail, String outcomeDetailMessage, GUID objectIdentifier)
    Get a new LogbookLifeCycleObjectGroupParameters object
    Parameters:
      `eventIdentifier` - the event id of LogbookLifeCycleObjectGroupParameters to create
      `eventType` - the event type of LogbookLifeCycleObjectGroupParameters to create
      `eventIdentifierProcess` - the event id process of LogbookLifeCycleObjectGroupParameters to create
      `eventTypeProcess` - the event type process of LogbookLifeCycleObjectGroupParameters to create
      `outcome` - the outcome of LogbookLifeCycleObjectGroupParameters to create
      `outcomeDetail` - the outcome detail of LogbookLifeCycleObjectGroupParameters to create
      `outcomeDetailMessage` - the outcome detail message of LogbookLifeCycleObjectGroupParameters to create
      `objectIdentifier` - the object id of LogbookLifeCycleObjectGroupParameters to create
    Returns:
      the LogbookLifeCycleObjectGroupParameters
    Throws:
      `IllegalArgumentException` - if any parameter is null or empty

  - ### getDefaultLifeCycleMandatory

    public static Set<LogbookParameterName> getDefaultLifeCycleMandatory()
    Returns:
      the default Mandatory fields set for LifeCycle